=== debian/changelog ===
arduino-mighty-1284p (0~svn20130430-1) unstable; urgency=low

  * Initial release. (Closes: #706503)

 -- Bas Wijnen <wijnen@debian.org>  Tue, 30 Apr 2013 18:34:46 -0400
