=== debian/control ===
Source: arduino-mighty-1284p
Build-Depends: debhelper (>= 8)
Section: electronics
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Standards-Version: 3.9.4
Homepage: https://github.com/maniacbug/mighty-1284p

Package: arduino-mighty-1284p
Architecture: all
Depends: arduino, ${misc:Depends}
Description: Platform files for Arduino to run on ATmega1284P
 Supported platforms:
  Mighty 1284p 16MHz using Optiboot
  avr-developers.com pinouts 16MHz using Optiboot
  Bobuino
  Original Mighty 1284p 16MHz
  Original Mighty 1284p 8MHz
