=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	chmod a-x `find . -type f | grep -v ^./debian`
	dh_auto_build
