=== debian/changelog ===
arduino-mighty-1284p (1-5) unstable; urgency=medium

  * Team upload.
  * Depend on arduino instead of arduino-core. (Closes: #981371)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 18:52:25 +0100

arduino-mighty-1284p (1-4) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Sync maintainer name with the rest of the 3-D printing team.
  * Add debian/salsa-ci.yml.
  * Bump S-V.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.

 -- Christoph Berg <myon@debian.org>  Fri, 31 Jul 2020 20:34:31 +0200

arduino-mighty-1284p (1-3) unstable; urgency=medium

  * Added debian/watch file.
  * Updated Standards-Version from 3.9.5 to 4.1.1.
  * Added Vcs-Browser field to debian/control.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 Oct 2017 07:37:25 +0000

arduino-mighty-1284p (1-2) unstable; urgency=medium

  * Add Build-Depends to avr-libc. (Closes: #759250)
  * Add debian/.gitignore.

 -- Bas Wijnen <wijnen@debian.org>  Fri, 12 Sep 2014 13:51:00 -0400

arduino-mighty-1284p (1-1) unstable; urgency=medium

  * Fork upstream.
  * Update README.md.
  * Remove outdated copy of Arduino source tree.
  * Build bootloaders from source.
  * Remove alternative pinouts.
  * Correct NUM_DIGITAL_PINS.
  * Install only hex files for bootloaders.
  * Depend on arduino-core instead of arduino.
  * Update standards version.  (No changes needed.)
  * Change maintainer to 3-D printer team.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 07 Aug 2014 20:30:45 -0400
