=== debian/control ===
Source: arduino-mighty-1284p
Build-Depends: debhelper-compat (= 12), gcc-avr, avr-libc
Section: electronics
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Bas Wijnen <wijnen@debian.org>
Standards-Version: 4.5.0
Homepage: https://github.com/wijnen/mighty-1284p
Vcs-Git: https://salsa.debian.org/3dprinting-team/arduino-mighty-1284p.git
Vcs-Browser: https://salsa.debian.org/3dprinting-team/arduino-mighty-1284p

Package: arduino-mighty-1284p
Architecture: all
Depends: arduino, ${misc:Depends}
Description: Platform files for Arduino to run on ATmega1284P
 Supported platforms:
  Mighty 1284p using Optiboot
  Original Mighty 1284p
