=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/arduino-mighty-1284p-$1\.tar\.gz/ \
  https://github.com/wijnen/mighty-1284p/tags .*/(\d)\.tar\.gz
